## org.codehaus.groovy.grails.web.pages
Interface Tokens

All Known Implementing Classes:
  GroovyPageParser, GroovyPageScanner

    interface Tokens

NOTE: Based on work done by on the GSP standalone project (https://gsp.dev.java.net/) Interface defining an enumeration of tokens for the different scriptlet types

Author:
  Troy Heninger, Graeme Rocher Date: Jan 10, 2004

Field Summary
`static int` `EOF`
`static int` `GDECLAR`
`static int` `GDIRECT`
`static int` `GEND_EMPTY_TAG`
`static int` `GEND_TAG`
`static int` `GEXPR`
`static int` `GSCRIPT`
`static int` `GSTART_TAG`
`static int` `GTAG_EXPR`
`static int` `HTML`
`static int` `JDECLAR`
`static int` `JDIRECT`
`static int` `JEXPR`
`static int` `JSCRIPT`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### HTML

    static final int HTML

See Also:
  Constant Field Values

### JEXPR

    static final int JEXPR

See Also:
  Constant Field Values

### JSCRIPT

    static final int JSCRIPT

See Also:
  Constant Field Values

### JDIRECT

    static final int JDIRECT

See Also:
  Constant Field Values

### JDECLAR

    static final int JDECLAR

See Also:
  Constant Field Values

### GEXPR

    static final int GEXPR

See Also:
  Constant Field Values

### GSCRIPT

    static final int GSCRIPT

See Also:
  Constant Field Values

### GDIRECT

    static final int GDIRECT

See Also:
  Constant Field Values

### GDECLAR

    static final int GDECLAR

See Also:
  Constant Field Values

### GSTART_TAG

    static final int GSTART_TAG

See Also:
  Constant Field Values

### GEND_TAG

    static final int GEND_TAG

See Also:
  Constant Field Values

### GTAG_EXPR

    static final int GTAG_EXPR

See Also:
  Constant Field Values

### GEND_EMPTY_TAG

    static final int GEND_EMPTY_TAG

See Also:
  Constant Field Values

Copyright (c) 2005-2009 The Grails project